local AshranBuddy = _G.AshranBuddy
if (not AshranBuddy) then
	DEFAULT_CHAT_FRAME:AddMessage(format("Module '%s' requires AshranBuddy", "Configuration"))
end

AshranBuddy.defaults = {
	profile = {
		firstRun = true,
		locked = false,
		point = "CENTER",
		relativeTo = "UIParent",
		relativePoint = "CENTER",
		x = 0,
		y = 0
	},
}

local function GetOption(info)
	return info.arg and AshranBuddy.db.profile[info.arg] or AshranBuddy.db.profile[info[#info]]
end

local function SetOption(info, value)
	local key = info[#info]
	AshranBuddy.db.profile[key] = value
	info = info.arg and info.arg or info[1]

	if info == "general" then
		AshranBuddy:UpdateFrame()
	else
		AshranBuddy:UpdateFrame(info)
	end
end

function AshranBuddy:CreateOptions()
	self.options = {
		name = "Ashran Buddy Options",
		type = "group",
		args = {
			enable = {
				name = "Enable",
				desc = "Enables / Disables the addon",
				type = "toggle",
				set = function(info, val) AshranBuddy.enabled = val end,
				get = function(info) return AshranBuddy.enabled end
			},
			eventtimer = {
				name = "Event Timer Options",
				type = "group",
				args = {
					enable = {
						name = "Enable",
						desc = "Enables / Disables the Event Timer module",
						type = "toggle",
						set = function(info, val)
							self.db.modules["EventTimer"] = val
							if (val) then
							self.modules["EventTimer"]:Enable()
							end
						end,
						get = function(info) return self.db.modules["EventTimer"] end
					},
				}
			}
		}
	}

	self.options.plugins.profiles = { profiles = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db) }

	LibStub("AceConfig-3.0"):RegisterOptionsTable("AshranBuddy", self.options)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("AshranBuddy", "AshranBuddy")
end